using PrecastConcretePlantContracts.BindingModels;
using PrecastConcretePlantContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PrecastConcretePlantContracts.BusinessLogicsContracts
{
    public interface IReportLogic
    {
        List<ReportShopReinforcedViewModel> GetShopReinforcedies();
        List<ReportReinforcedComponentViewModel> GetReinforcedComponents();
        List<ReportOrdersViewModel> GetOrders(ReportBindingModel model);
        List<ReportGroupOrdersViewModel> GetGroupOrders();
        void SaveReinforcedsToWordFile(ReportBindingModel model);
        void SaveReinforcedComponentToExcelFile(ReportBindingModel model);
        void SaveOrdersToPdfFile(ReportBindingModel model);
        void SaveShopsTableToWordFile(ReportBindingModel model);
        void SaveShopReinforcedToExcelFile(ReportBindingModel model);
        void SaveGroupOrdersToPdfFile(ReportBindingModel model);
    }
}
